## supervisor 3.0a8

=== src/supervisor/medusa/Makefile ===
# -*- Mode: Makefile -*-

clean:
	find ./ -name '*.pyc' -exec rm {} \;
	find ./ -name '*~' -exec rm {} \;

dist_debian:
	dpkg-buildpackage -rfakeroot

## supervisor 3.0b2

=== debian/changelog ===
supervisor (3.0b2-1ubuntu0.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Arbitrary code injection through XML-RPC
    - debian/patches/CVE-2017-11610.patch: disabling object
      traversal in XML-RPC dispatch in supervisor/test/test_xmlrc.py,
      supervisor/xmlrcp.py.
    - CVE-2017-11610

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 17 May 2018 15:59:12 -0300

supervisor (3.0b2-1) unstable; urgency=low

  * New Maintainer (Closes: #717060)
  * New upstream release (Closes: #697883, #608694)
  * Fix restart function of init script (Closes: #609457)
  * Fix typo in package description (Closes: #697622)
  * Fix "string exception" (Closes: #585359)

 -- Qijiang Fan <fqj1994@gmail.com>  Thu, 18 Jul 2013 10:49:09 +0800

supervisor (3.0a8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild to add Python 2.7 support

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 May 2011 16:45:52 +0200

supervisor (3.0a8-1) unstable; urgency=low

  * New upstream release

 -- Anders Hammarquist <iko@debian.org>  Tue, 26 Jan 2010 13:17:32 +0100

supervisor (3.0a7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "manipulates site-packages/ directly, failing with Python 2.6"
    Applied and uploaded Kumar's patch. (Closes: #547858)

 -- Bastian Venthur <venthur@debian.org>  Sat, 07 Nov 2009 13:06:00 +0100

supervisor (3.0a7-2) unstable; urgency=low

  * Fix build-depdends (Closes: #545624)

 -- Anders Hammarquist <iko@debian.org>  Wed, 09 Sep 2009 23:12:43 +0200

supervisor (3.0a7-1) unstable; urgency=low

  * Initial release (Closes: #491665).

 -- Anders Hammarquist <iko@debian.org>  Thu, 30 Jul 2009 11:29:24 +0200

=== debian/control ===
Source: supervisor
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Qijiang Fan <fqj1994@gmail.com>
Build-Depends: debhelper (>= 9), python-setuptools, python-all (>= 2.6.6~3)
X-Python-Version: >= 2.4
VCS-Git: git://anonscm.debian.org/collab-maint/supervisor.git
VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/supervisor.git;a=summary
Standards-Version: 3.9.4
Homepage: http://supervisord.org/

Package: supervisor
Architecture: all
Depends: python, python-meld3, python-pkg-resources (>= 0.6c7), ${misc:Depends}
Description: A system for controlling process state
 Supervisor is a system for controlling and maintaining process state,
 similar to what init does, but not intended as an init replacement.
 .
 It will manage individual processes or groups of processes that
 need to be started and stopped in order, and it is possible to
 control individual process state via an rpc mechanism, thus allowing
 ordinary users to restart processes.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_install:
	python setup.py install --root=debian/supervisor --install-layout=deb --no-compile
	
override_dh_auto_build:

override_dh_install:
	for i in `find debian -type f`; do \
		sed '1s,#!.*[pP][yY][Tt][hH][oO][nN][^ ]*\(.*\),#! /usr/bin/python\1,' \
			$$i > $$i.temp; \
		if cmp --quiet $$i $$i.temp; then \
	    		rm -f $$i.temp; \
		else \
			mv -f $$i.temp $$i; \
			chmod 755 $$i; \
			echo "fixed interpreter: $$i"; \
		fi; \
	done
	install -d debian/tmp/etc/supervisor/conf.d
	install -m 644 debian/supervisord.conf debian/tmp/etc/supervisor/supervisord.conf
	find debian/ -name 'LICENSE.txt' -delete
	dh_install --fail-missing

=== debian/watch ===
version=3
https://pypi.python.org/simple/supervisor/ ../../packages/source/s/supervisor/supervisor-(.*).tar.gz#md5=.*

## supervisor 3.0r1

=== debian/changelog ===
supervisor (3.0r1-1) unstable; urgency=low

  * New upstream release.
  * Fix bug on init script output (Closes: #720281)

 -- Qijiang Fan <fqj1994@gmail.com>  Sat, 09 Nov 2013 20:34:52 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: supervisor
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Qijiang Fan <fqj1994@gmail.com>
+Maintainer: Qijiang Fan <fqj1994@gmail.com>
 Build-Depends: debhelper (>= 9), python-setuptools, python-all (>= 2.6.6~3)
 X-Python-Version: >= 2.4
 VCS-Git: git://anonscm.debian.org/collab-maint/supervisor.git

## supervisor 3.1.3

=== debian/changelog ===
supervisor (3.1.3-1) unstable; urgency=medium

  * New maintainer (Closes: #802449)
  * New upstream release (Closes: #802448)
  * Switch to pybuild
  * Switch to DEP-5 copyright file
  * Add doc package and doc-base document
  * Updated Standards version (3.9.6)
  * Comment out first patch since folder was removed from upstream.
  * Comment out second patch since it was fixed upstream
  * Refreshed third patch w.r.t upstream and modified failing unit test
 -- Orestis Ioannou <orestis@oioannou.com>  Mon, 26 Oct 2015 02:26:46 +0100

=== debian/control ===
Source: supervisor
Section: admin
Priority: optional
Maintainer: Orestis Ioannou <orestis@oioannou.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-setuptools,
               python-all,
               python-sphinx,
               python-meld3,
               python-mock,
               python-pkg-resources
X-Python-Version: >= 2.4
VCS-Git: git://anonscm.debian.org/collab-maint/supervisor.git
VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/supervisor.git;a=summary
Standards-Version: 3.9.6
Homepage: http://supervisord.org/

Package: supervisor
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: supervisor-doc
Description: System for controlling process state
 Supervisor is a system for controlling and maintaining process state,
 similar to what init does, but not intended as an init replacement.
 .
 It will manage individual processes or groups of processes that
 need to be started and stopped in order, and it is possible to
 control individual process state via an rpc mechanism, thus allowing
 ordinary users to restart processes.


Package: supervisor-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Documentation for a supervisor
 Supervisor is a system for controlling and maintaining process state,
 similar to what init does, but not intended as an init replacement.
 .
 It will manage individual processes or groups of processes that
 need to be started and stopped in order, and it is possible to
 control individual process state via an rpc mechanism, thus allowing
 ordinary users to restart processes.
 .
 This is the documentation package

## supervisor 3.2.0

=== debian/changelog ===
supervisor (3.2.0-2) unstable; urgency=high

  * Correct typo in patch patch (Closes: 810297)

 -- Orestis Ioannou <orestis@oioannou.com>  Fri, 08 Jan 2016 09:14:56 +0100

supervisor (3.2.0-1) unstable; urgency=medium

  * Add python-pkg-resources in Depends. (Closes: 806295) 
  * New upstream release
  * Create man pages for all the binaries using the docs (Closes: 687521)
  * Add systemd service
  * Fix restart of init script (Closes:  805920)

 -- Orestis Ioannou <orestis@oioannou.com>  Thu, 26 Nov 2015 09:43:58 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 Package: supervisor
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, python-pkg-resources
 Suggests: supervisor-doc
 Description: System for controlling process state
  Supervisor is a system for controlling and maintaining process state,

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_DESTDIR_python2=debian/supervisor/
%:
	dh $@ --with sphinxdoc,python2 --buildsystem=pybuild

override_dh_auto_install:
	for i in `find supervisor -type f`; do \
		sed '1s,#!.*[pP][yY][Tt][hH][oO][nN][^ ]*\(.*\),#! /usr/bin/python\1,' \
			$$i > $$i.temp; \
		if cmp --quiet $$i $$i.temp; then \
			rm -f $$i.temp; \
		else \
			mv -f $$i.temp $$i; \
			chmod 755 $$i; \
			echo "fixed interpreter: $$i"; \
		fi; \
	done
	dh_auto_install
	install -d debian/tmp/etc/supervisor/conf.d
	install -m 644 debian/supervisord.conf debian/tmp/etc/supervisor/supervisord.conf

override_dh_auto_build:
	$(MAKE) -C docs html
	dh_auto_build

override_dh_auto_clean:
	rm -rf docs/.build
	dh_auto_clean

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/supervisor/supervisor-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## supervisor 3.3.1

=== debian/changelog ===
supervisor (3.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable object traversal in XML-RPC dispatch (CVE-2017-11610)
    (Closes: #870187)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 12 Aug 2017 10:55:14 +0200

supervisor (3.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Update S-V to 3.9.8. Nothing to change.
  * wrap-and-sort'ed debian folder.
  * Remove patch since it was merged upstream.
  * Update VCS links to be secure.
  * Remove copyright paragraph about a file that no longer exists.
  * Enabled and started systemd service (Closes:  #827729).

  [ Gianfranco Costamagna ]
  * Fix VCS-Browser to point to cgit
  * Fix copyright years, and use copyright format in https mode.

 -- Orestis Ioannou <orestis@oioannou.com>  Sun, 28 Aug 2016 18:39:40 +0200

=== debian/control ===
Source: supervisor
Section: admin
Priority: optional
Maintainer: Orestis Ioannou <orestis@oioannou.com>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 dh-systemd,
 python-all,
 python-meld3,
 python-mock,
 python-pkg-resources,
 python-setuptools,
 python-sphinx,
X-Python-Version: >= 2.5
VCS-Git: https://anonscm.debian.org/git/collab-maint/supervisor.git
VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/supervisor.git
Standards-Version: 3.9.8
Homepage: http://supervisord.org/

Package: supervisor
Architecture: all
Depends:
 python-pkg-resources,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 supervisor-doc,
Description: System for controlling process state
 Supervisor is a system for controlling and maintaining process state,
 similar to what init does, but not intended as an init replacement.
 .
 It will manage individual processes or groups of processes that
 need to be started and stopped in order, and it is possible to
 control individual process state via an rpc mechanism, thus allowing
 ordinary users to restart processes.

Package: supervisor-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Documentation for a supervisor
 Supervisor is a system for controlling and maintaining process state,
 similar to what init does, but not intended as an init replacement.
 .
 It will manage individual processes or groups of processes that
 need to be started and stopped in order, and it is possible to
 control individual process state via an rpc mechanism, thus allowing
 ordinary users to restart processes.
 .
 This is the documentation package

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 export PYBUILD_DESTDIR_python2=debian/supervisor/
 %:
-	dh $@ --with sphinxdoc,python2 --buildsystem=pybuild
+	dh $@ --with sphinxdoc,python2,systemd --buildsystem=pybuild
 
 override_dh_auto_install:
 	for i in `find supervisor -type f`; do \

## supervisor 3.3.4

=== debian/changelog ===
supervisor (3.3.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/changelog: Remove trailing whitespaces

  [ Stéphane Blondon ]
  * New upstream version 3.3.4 (Closes: #903731)
  * Bump Standards-Version to 4.2.1
  * Fix spelling error in manpage (containg to containing)
  * Add last contributors into copyright holders list
  * Update VCS data due to migration from Alioth to Salsa

  [ Samuel Henrique ]
  * Move maintenance to PAPT team and add new Uploaders
  * Bump DH level to 11
    - d/rules: use systemd dh addon
    - d/supervisor-doc.doc-base: move docs to main package dir under
      /usr/share/doc
  * d/control:
    - add missing Depends on lsb-base
    - use python3-sphinx instead of python2
    - set supervisor-doc to Multi-Arch: foreign
  * d/watch: Bump to v4

 -- Stéphane Blondon <sblondon@debian.org>  Sat, 01 Dec 2018 21:38:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: supervisor
 Section: admin
 Priority: optional
-Maintainer: Orestis Ioannou <orestis@oioannou.com>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders: Samuel Henrique <samueloph@debian.org>, Stéphane Blondon <sblondon@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
- dh-systemd,
  python-all,
  python-meld3,
  python-mock,
  python-pkg-resources,
  python-setuptools,
- python-sphinx,
-X-Python-Version: >= 2.5
-VCS-Git: https://anonscm.debian.org/git/collab-maint/supervisor.git
-VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/supervisor.git
-Standards-Version: 3.9.8
+ python3-sphinx,
+VCS-Git: https://salsa.debian.org/python-team/applications/supervisor.git
+VCS-Browser: https://salsa.debian.org/python-team/applications/supervisor
+Standards-Version: 4.2.1
 Homepage: http://supervisord.org/
 
 Package: supervisor
 Architecture: all
 Depends:
+ lsb-base,
  python-pkg-resources,
  ${misc:Depends},
  ${python:Depends},
@@ -37,6 +37,7 @@
 
 Package: supervisor-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  ${misc:Depends},

## supervisor 3.3.5

=== debian/changelog ===
supervisor (3.3.5-1) unstable; urgency=medium

  * New upstream version 3.3.5
  * Bump Standards-Version to 4.3.0

 -- Samuel Henrique <samueloph@debian.org>  Thu, 27 Dec 2018 21:52:42 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-sphinx,
 VCS-Git: https://salsa.debian.org/python-team/applications/supervisor.git
 VCS-Browser: https://salsa.debian.org/python-team/applications/supervisor
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://supervisord.org/
 
 Package: supervisor

## supervisor 4.0.4

=== debian/changelog ===
supervisor (4.0.4-2) unstable; urgency=medium

  * Upload 4.0.4-1 to unstable:
  * Switch from python2 to python3 (closes: #938602)

 -- Samuel Henrique <samueloph@debian.org>  Wed, 04 Sep 2019 23:07:11 +0100

supervisor (4.0.4-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Samuel Henrique ]
  * Bump DH level to 12
  * d/control: Add Pre-Depends: ${misc:Pre-Depends} as per lintian warning
  * d/rules: Change install script to address python3 transition

  [ Stéphane Blondon ]
  * New upstream version 4.0.4
  * update dependencies to python3
  * remove python3-mock dependency because mock library is provided by
    python3 standard library

 -- Stéphane Blondon <sblondon@debian.org>  Sun, 18 Aug 2019 20:45:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,26 +4,27 @@
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>, Stéphane Blondon <sblondon@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
- python-all,
- python-meld3,
- python-mock,
- python-pkg-resources,
- python-setuptools,
+ python3-all,
+ python3-meld3,
+ python3-pkg-resources,
+ python3-setuptools,
  python3-sphinx,
 VCS-Git: https://salsa.debian.org/python-team/applications/supervisor.git
 VCS-Browser: https://salsa.debian.org/python-team/applications/supervisor
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://supervisord.org/
 
 Package: supervisor
 Architecture: all
+Pre-Depends:
+ ${misc:Pre-Depends}
 Depends:
  lsb-base,
- python-pkg-resources,
+ python3-pkg-resources,
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
 Suggests:
  supervisor-doc,
 Description: System for controlling process state

## supervisor 4.1.0

=== debian/changelog ===
supervisor (4.1.0-1ubuntu1) focal; urgency=medium

  * Only build-depend on python3, not python3-all.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Oct 2019 22:32:49 -0700

supervisor (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0
  * d/control: Drop meld3 dependency, it is now included in the package

 -- Samuel Henrique <samueloph@debian.org>  Fri, 01 Nov 2019 00:52:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: supervisor
 Section: admin
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>, Stéphane Blondon <sblondon@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
- python3-all,
- python3-meld3,
+ python3,
  python3-pkg-resources,
  python3-setuptools,
  python3-sphinx,

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
-export PYBUILD_DESTDIR_python2=debian/supervisor/
+export PYBUILD_DESTDIR_python3=debian/supervisor/
 %:
-	dh $@ --with sphinxdoc,python2,systemd --buildsystem=pybuild
+	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild
 
 override_dh_auto_install:
 	for i in `find supervisor -type f`; do \
-		sed '1s,#!.*[pP][yY][Tt][hH][oO][nN][^ ]*\(.*\),#! /usr/bin/python\1,' \
+		sed '1s,#!.*[pP][yY][Tt][hH][oO][nN][^ ]*\(.*\),#!/usr/bin/python3\1,' \
 			$$i > $$i.temp; \
 		if cmp --quiet $$i $$i.temp; then \
 			rm -f $$i.temp; \

## supervisor 4.2.0

=== debian/changelog ===
supervisor (4.2.0-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Only build-depend on python3, not python3-all.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 May 2020 10:46:58 -0700

supervisor (4.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

  [ Samuel Henrique ]
  * New upstream version 4.2.0
  * Bump DH to 13
  * Bump Standards Version to 4.5.0
  * d/control: Add Rules-Requires-Root: no
  * Add gbp.conf

 -- Samuel Henrique <samueloph@debian.org>  Mon, 04 May 2020 11:59:15 +0100

## supervisor 4.2.1

=== debian/changelog ===
supervisor (4.2.1-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Only build-depend on python3, not python3-all.

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 11 Sep 2020 12:59:29 +0200

supervisor (4.2.1-1) unstable; urgency=medium

  * New upstream version 4.2.1
  * d/p/somaxconn.patch: Remove patch, applied upstream

 -- Samuel Henrique <samueloph@debian.org>  Wed, 26 Aug 2020 00:31:24 +0100

supervisor (4.2.0-2) unstable; urgency=medium

  * d/p/somaxconn.patch: New patch to address glibc 2.31 change
    (closes: #966940)

 -- Samuel Henrique <samueloph@debian.org>  Thu, 06 Aug 2020 20:15:28 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>, Stéphane Blondon <sblondon@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3,
  python3-pkg-resources,
@@ -13,7 +13,8 @@
  python3-sphinx,
 VCS-Git: https://salsa.debian.org/python-team/applications/supervisor.git
 VCS-Browser: https://salsa.debian.org/python-team/applications/supervisor
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://supervisord.org/
 
 Package: supervisor

## supervisor 4.2.2

=== debian/changelog ===
supervisor (4.2.2-2) unstable; urgency=medium

  * d/tests: Add tests from upstream

 -- Samuel Henrique <samueloph@debian.org>  Sun, 21 Mar 2021 21:35:49 +0000

supervisor (4.2.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.

  [ Samuel Henrique ]
  * New upstream version 4.2.2
  * Bump Standards-Version to 4.5.1

 -- Samuel Henrique <samueloph@debian.org>  Mon, 08 Mar 2021 21:58:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: supervisor
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>, Stéphane Blondon <sblondon@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- python3,
+ python3-all,
  python3-pkg-resources,
  python3-setuptools,
  python3-sphinx,
 VCS-Git: https://salsa.debian.org/python-team/applications/supervisor.git
 VCS-Browser: https://salsa.debian.org/python-team/applications/supervisor
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://supervisord.org/

## supervisor 4.2.4

=== debian/changelog ===
supervisor (4.2.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:49:09 +0200

supervisor (4.2.4-1) unstable; urgency=medium

  * New upstream version 4.2.4
  * Bump Standards-Version to 4.6.0

 -- Samuel Henrique <samueloph@debian.org>  Thu, 06 Jan 2022 18:31:09 -0300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-sphinx,
 VCS-Git: https://salsa.debian.org/python-team/applications/supervisor.git
 VCS-Browser: https://salsa.debian.org/python-team/applications/supervisor
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://supervisord.org/

## supervisor 4.2.5

=== debian/changelog ===
supervisor (4.2.5-1) unstable; urgency=medium

  * New upstream version 4.2.5
  * Bump Standards-Version to 4.6.2

 -- Samuel Henrique <samueloph@debian.org>  Tue, 27 Dec 2022 21:01:56 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-sphinx,
 VCS-Git: https://salsa.debian.org/python-team/applications/supervisor.git
 VCS-Browser: https://salsa.debian.org/python-team/applications/supervisor
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://supervisord.org/

=== debian/tests/control ===
Test-Command: python3 setup.py test
Restrictions: allow-stderr
Depends: @, @builddeps@

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/supervisor/supervisor-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## supervisor 4.3.0

=== debian/changelog ===
supervisor (4.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Stop using pkg_resources (closes: #1083790).

 -- Colin Watson <cjwatson@debian.org>  Sun, 04 Jan 2026 18:27:23 +0000

supervisor (4.2.5-3) unstable; urgency=medium

  * Team upload.
  * Fix tests on Python 3.13 (closes: #1089058).

 -- Colin Watson <cjwatson@debian.org>  Thu, 12 Dec 2024 22:38:03 +0000

supervisor (4.2.5-2) unstable; urgency=medium

  * Team upload.
  * Switch to autopkgtest-pkg-pybuild (closes: #1079757).
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Mon, 02 Sep 2024 16:50:41 +0100

supervisor (4.2.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.
    (Closes: #1072076)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 07 Jun 2024 15:03:46 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,18 @@
 Uploaders: Samuel Henrique <samueloph@debian.org>, Stéphane Blondon <sblondon@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-pkg-resources,
+ python3-pytest <!nocheck>,
  python3-setuptools,
  python3-sphinx,
-VCS-Git: https://salsa.debian.org/python-team/applications/supervisor.git
-VCS-Browser: https://salsa.debian.org/python-team/applications/supervisor
+Vcs-Git: https://salsa.debian.org/python-team/applications/supervisor.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/supervisor
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://supervisord.org/
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: supervisor
 Architecture: all
@@ -22,7 +24,6 @@
  ${misc:Pre-Depends}
 Depends:
  lsb-base,
- python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
-export PYBUILD_DESTDIR_python3=debian/supervisor/
+export PYBUILD_DESTDIR=debian/supervisor/
+export PYBUILD_TEST_ARGS={dir}/supervisor/tests/ -k 'not test_ctor_with_dev_stdout'
+
 %:
-	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_install:
 	for i in `find supervisor -type f`; do \
